addRandomSolutions.BigBang {galgo} | R Documentation

## Adds random pre-existed solutions

### Description

Adds random pre-existed solutions. The purpose is to “simulate” new solutions in order to see gene stability and gene frequency. The results are biased but can be used to estimate the how many more solutions are needed to stabilize certain number of genes.

### Usage

    ## S3 method for class 'BigBang'
    addRandomSolutions(no, n=length(no$bestChromosomes), ...)

### Arguments

`n` | number of solutions to add

### Value

Returns nothing. However, the original `BigBang` object has been modified adding the random solutions.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

       #bb is a BigBang object
       ## Not run:
       bb
       plot(bb)
       addRandomSolutions(bb, 1000)
       plot(bb) # accumulated solutions

    ## End(Not run)

[Package galgo version 1.4 Index]